SHELL = /bin/bash

CC           := gcc
CPP          := g++
LD           := ld
AR           := ar
STRIP        := strip

CFLAGS += -c -Wall -DWITH_DOM -DWITH_NONAMESPACES -DWITH_OPENSSL 

SOURCES_CORE += \
           ../../core/soapC.c                          \
           ../../core/soapClient.c                     \
           ../../core/stdsoap2.c                       \
           ../../core/dom.c                            \
           ../../core/mecevp.c                       \
           ../../core/smdevp.c                        \
           ../../core/struct_timeval.c                \
           ../../core/threads.c                       \
           ../../core/wsaapi.c                        \
           ../../core/wsseapi.c

SOURCES_COMM += \
           ../../comm/proto_dbg.c                      \
           ../../comm/proto_comm.c                      \

OBJECTS_ONVIF := $(patsubst %.c,$(TEMPDIR)%.o,$(filter %.c, $(SOURCES_CORE)))
OBJECTS_COMM  := $(patsubst %.c,$(TEMPDIR)%.o,$(filter %.c, $(SOURCES_COMM)))

FFMPEG_DIR = ../../thirdparty/ffmpeg
OPENSSL_DIR = ../../thirdparty/openssl

#
INCLUDE += -I../../core/                               \
           -I../../comm/         \
           -I$(FFMPEG_DIR)/include          \
           -I$(OPENSSL_DIR)/include
CFLAGS += $(INCLUDE)

LDFLAGS += -L$(FFMPEG_DIR)/lib
LDFLAGS += -L$(OPENSSL_DIR)/lib
LDLIBS += -lavcodec -lavdevice -lavfilter -lavformat \
           -lavutil -lswresample -lswscale
LDLIBS += -lcrypto -lssl -lpthread -ldl

%.o: %.cpp
	@echo "  CPP     " $@;
	@$(CPP) $(CFLAGS) -c -o $@ $<

%.o: %.c
	@echo "  CC      " $@;
	@$(CC) $(CFLAGS) -c -o $@ $<

.PHONY: all clean
